import { ywtRequest } from "./request";

export async function ywtAuth(data) {
	const [err, res] = await ywtRequest({
		url: "/auth/bind",
		method: "post",
		data,
	});
	if (err || !res) return [err, null];
	return [null, res];
}

export async function doctorSchedule(data) {
	const [err, res] = await ywtRequest({
		url: "/register/doctorSchedule",
		method: "post",
		data,
	});
	if (err || !res) return [err, null];
	return [null, res];
}

export async function getRegisteredAnnouncement(data) {
	const [err, res] = await ywtRequest({
		url: "/register/getRegisteredAnnouncement",
		method: "post",
		data,
	});
	if (err || !res) return [err, null];
	return [null, res];
}
